Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrUnderline Class Reference

A PangoAttrUnderline C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrUnderline:

List of all members.

## Public Member Functions

Constructors

- AttrUnderline (Underline underline=UNDERLINE_SINGLE)
    Construct a new underline-style attribute.

Accessors

- Underline underline () const
    Returns the underline style.

Methods

- void set_underline (Underline underline)
    Sets the underline style.

## Detailed Description

A PangoAttrUnderline C++ wrapper class.

AttrUnderline wraps the underline attribute (ATTR_UNDERLINE).

## Constructor & Destructor Documentation

Inti::Pango::AttrUnderline::AttrUnderline | ( | Underline | underline = UNDERLINE_SINGLE | ) | `[explicit]`

  | Construct a new underline-style attribute. Parameters:
  underline | The underline style.

## Member Function Documentation

void Inti::Pango::AttrUnderline::set_underline | ( | Underline | underline | ) |

  | Sets the underline style. Parameters:
  underline | The underline style.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer